Subject: Offline Message from Michelle Bandel: Hi there! I purchased the Swagtron Swag
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Mon, 13 Dec 2021 12:47:49 -0000

From: Michelle Bandel <[email-masked]>
Phone: 3053365876
Location: New York, United States
URL: https://swagtron.com/contact/
Department: SwagTron

Hi there! I purchased the Swagtron Swagger about a year ago and after fully charging it, I am only able to use it for about 20-30 mins because the batter dies. This is disappointing since it is such an expensive product that I was hoping would last longer. I really need a solution if possible please. Looking forward to hearing back. 

----
Zopim
https://www.zopim.com